SUMMARY = "A portable foreign function interface library"
HOMEPAGE = "http://sourceware.org/libffi/"

FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

SRC_URI_append_csky = "file://csky/ffi.c \
			           file://csky/ffitarget.h  \
                       file://csky/sysv.S \
                       file://configure.host \
			           "

do_configure_prepend_csky() {
	  echo "THISDIR= ${THISDIR}/${PN}"
	  echo "PN=${PN}"
	  echo "PV=${PV}"
      if [ -d "${WORKDIR}/csky" -a -d "${WORKDIR}/${PN}-${PV}/src" ]; then
	      cp -rf ${WORKDIR}/csky ${WORKDIR}/${PN}-${PV}/src
	  fi
	  if [ -f "${WORKDIR}/configure.host" -a -d "${WORKDIR}/${PN}-${PV}" ]; then
		  cp -rf ${WORKDIR}/configure.host ${WORKDIR}/${PN}-${PV}
	  fi
}
#FILES_${PN}-dev += "${libdir}/libffi-${PV}"


